org.apache.jmeter.gui.action

## Class KeyStrokes

- java.lang.Object
- - org.apache.jmeter.gui.action.KeyStrokes

-     public final class KeyStrokes
      extends java.lang.Object

  Collect all the keystrokes together in one place. This helps to ensure that there are no duplicates.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.swing.KeyStroke` | `ACTION_SHUTDOWN`
    `static javax.swing.KeyStroke` | `ACTION_START`
    `static javax.swing.KeyStroke` | `ACTION_STOP`
    `static javax.swing.KeyStroke` | `ALT_DOWN_ARROW`
    `static javax.swing.KeyStroke` | `ALT_LEFT_ARROW`
    `static javax.swing.KeyStroke` | `ALT_RIGHT_ARROW`
    `static javax.swing.KeyStroke` | `ALT_UP_ARROW`
    `static javax.swing.KeyStroke` | `CLEAR`
    `static javax.swing.KeyStroke` | `CLEAR_ALL`
    `static javax.swing.KeyStroke` | `CLOSE`
    `static javax.swing.KeyStroke` | `COLLAPSE_ALL`
    `static javax.swing.KeyStroke` | `COLLAPSE_ALL_SUBTRACT`
    `static javax.swing.KeyStroke` | `COPY`
    `static javax.swing.KeyStroke` | `CTRL_0`
    `static javax.swing.KeyStroke` | `CTRL_1`
    `static javax.swing.KeyStroke` | `CTRL_2`
    `static javax.swing.KeyStroke` | `CTRL_3`
    `static javax.swing.KeyStroke` | `CTRL_4`
    `static javax.swing.KeyStroke` | `CTRL_5`
    `static javax.swing.KeyStroke` | `CTRL_6`
    `static javax.swing.KeyStroke` | `CTRL_7`
    `static javax.swing.KeyStroke` | `CTRL_8`
    `static javax.swing.KeyStroke` | `CTRL_9`
    `static javax.swing.KeyStroke` | `CUT`
    `static javax.swing.KeyStroke` | `DEBUG_OFF`
    `static javax.swing.KeyStroke` | `DEBUG_ON`
    `static javax.swing.KeyStroke` | `DUPLICATE`
    `static javax.swing.KeyStroke` | `ENTER`
    `static javax.swing.KeyStroke` | `ESC`
    `static javax.swing.KeyStroke` | `EXIT`
    `static javax.swing.KeyStroke` | `EXPAND_ALL`
    `static javax.swing.KeyStroke` | `EXPAND_ALL_SUBTRACT`
    `static javax.swing.KeyStroke` | `FUNCTIONS`
    `static javax.swing.KeyStroke` | `HELP`
    `static javax.swing.KeyStroke` | `OPEN`
    `static javax.swing.KeyStroke` | `PASTE`
    `static javax.swing.KeyStroke` | `REMOTE_SHUT_ALL`
    `static javax.swing.KeyStroke` | `REMOTE_START_ALL`
    `static javax.swing.KeyStroke` | `REMOTE_STOP_ALL`
    `static javax.swing.KeyStroke` | `REMOVE`
    `static javax.swing.KeyStroke` | `SAVE`
    `static javax.swing.KeyStroke` | `SAVE_ALL_AS`
    `static javax.swing.KeyStroke` | `SAVE_GRAPHICS`
    `static javax.swing.KeyStroke` | `SAVE_GRAPHICS_ALL`
    `static javax.swing.KeyStroke` | `SEARCH_TREE`
    `static javax.swing.KeyStroke` | `SHIFT_LEFT_ARROW`
    `static javax.swing.KeyStroke` | `SHIFT_RIGHT_ARROW`
    `static javax.swing.KeyStroke` | `SSL_MANAGER`
    `static javax.swing.KeyStroke` | `TOGGLE`
    `static javax.swing.KeyStroke` | `WHAT_CLASS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `matches(java.awt.event.KeyEvent e, javax.swing.KeyStroke k)` Check if an event matches the KeyStroke definition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COPY

          public static final javax.swing.KeyStroke COPY

    - #### DUPLICATE

          public static final javax.swing.KeyStroke DUPLICATE

    - #### DEBUG_OFF

          public static final javax.swing.KeyStroke DEBUG_OFF

    - #### DEBUG_ON

          public static final javax.swing.KeyStroke DEBUG_ON

    - #### CLEAR_ALL

          public static final javax.swing.KeyStroke CLEAR_ALL

    - #### CLEAR

          public static final javax.swing.KeyStroke CLEAR

    - #### ESC

          public static final javax.swing.KeyStroke ESC

    - #### ENTER

          public static final javax.swing.KeyStroke ENTER

    - #### FUNCTIONS

          public static final javax.swing.KeyStroke FUNCTIONS

    - #### SAVE_GRAPHICS

          public static final javax.swing.KeyStroke SAVE_GRAPHICS

    - #### SAVE_GRAPHICS_ALL

          public static final javax.swing.KeyStroke SAVE_GRAPHICS_ALL

    - #### HELP

          public static final javax.swing.KeyStroke HELP

    - #### CLOSE

          public static final javax.swing.KeyStroke CLOSE

    - #### SSL_MANAGER

          public static final javax.swing.KeyStroke SSL_MANAGER

    - #### OPEN

          public static final javax.swing.KeyStroke OPEN

    - #### EXIT

          public static final javax.swing.KeyStroke EXIT

    - #### ACTION_START

          public static final javax.swing.KeyStroke ACTION_START

    - #### REMOTE_START_ALL

          public static final javax.swing.KeyStroke REMOTE_START_ALL

    - #### SAVE

          public static final javax.swing.KeyStroke SAVE

    - #### SAVE_ALL_AS

          public static final javax.swing.KeyStroke SAVE_ALL_AS

    - #### SEARCH_TREE

          public static final javax.swing.KeyStroke SEARCH_TREE

    - #### TOGGLE

          public static final javax.swing.KeyStroke TOGGLE

    - #### PASTE

          public static final javax.swing.KeyStroke PASTE

    - #### WHAT_CLASS

          public static final javax.swing.KeyStroke WHAT_CLASS

    - #### CUT

          public static final javax.swing.KeyStroke CUT

    - #### REMOTE_STOP_ALL

          public static final javax.swing.KeyStroke REMOTE_STOP_ALL

    - #### REMOTE_SHUT_ALL

          public static final javax.swing.KeyStroke REMOTE_SHUT_ALL

    - #### REMOVE

          public static final javax.swing.KeyStroke REMOVE

    - #### ACTION_STOP

          public static final javax.swing.KeyStroke ACTION_STOP

    - #### ACTION_SHUTDOWN

          public static final javax.swing.KeyStroke ACTION_SHUTDOWN

    - #### COLLAPSE_ALL

          public static final javax.swing.KeyStroke COLLAPSE_ALL

    - #### COLLAPSE_ALL_SUBTRACT

          public static final javax.swing.KeyStroke COLLAPSE_ALL_SUBTRACT

    - #### EXPAND_ALL

          public static final javax.swing.KeyStroke EXPAND_ALL

    - #### EXPAND_ALL_SUBTRACT

          public static final javax.swing.KeyStroke EXPAND_ALL_SUBTRACT

    - #### ALT_UP_ARROW

          public static final javax.swing.KeyStroke ALT_UP_ARROW

    - #### ALT_DOWN_ARROW

          public static final javax.swing.KeyStroke ALT_DOWN_ARROW

    - #### ALT_LEFT_ARROW

          public static final javax.swing.KeyStroke ALT_LEFT_ARROW

    - #### ALT_RIGHT_ARROW

          public static final javax.swing.KeyStroke ALT_RIGHT_ARROW

    - #### SHIFT_LEFT_ARROW

          public static final javax.swing.KeyStroke SHIFT_LEFT_ARROW

    - #### SHIFT_RIGHT_ARROW

          public static final javax.swing.KeyStroke SHIFT_RIGHT_ARROW

    - #### CTRL_0

          public static final javax.swing.KeyStroke CTRL_0

    - #### CTRL_1

          public static final javax.swing.KeyStroke CTRL_1

    - #### CTRL_2

          public static final javax.swing.KeyStroke CTRL_2

    - #### CTRL_3

          public static final javax.swing.KeyStroke CTRL_3

    - #### CTRL_4

          public static final javax.swing.KeyStroke CTRL_4

    - #### CTRL_5

          public static final javax.swing.KeyStroke CTRL_5

    - #### CTRL_6

          public static final javax.swing.KeyStroke CTRL_6

    - #### CTRL_7

          public static final javax.swing.KeyStroke CTRL_7

    - #### CTRL_8

          public static final javax.swing.KeyStroke CTRL_8

    - #### CTRL_9

          public static final javax.swing.KeyStroke CTRL_9

  - ### Method Detail

    - #### matches

          public static boolean matches(java.awt.event.KeyEvent e,
                                        javax.swing.KeyStroke k)

      Check if an event matches the KeyStroke definition.
      Parameters:
        `e` - event
        `k` - keystroke
      Returns:
        true if event matches the keystroke definition

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.